# eric7.WebBrowser.AdBlock.AdBlockPage

Module implementing a class to apply AdBlock rules to a web page.

### Global Attributes

None

### Classes

AdBlockPage | Class to apply AdBlock rules to a web page.

### Functions

None

## AdBlockPage

Class to apply AdBlock rules to a web page.

### Derived from

QObject

### Class Attributes

None

### Class Methods

None

### Methods

hideBlockedPageEntries | Public method to apply AdBlock rules to a web page.

### Static Methods

None

#### AdBlockPage.hideBlockedPageEntries

hideBlockedPageEntries(page)

Public method to apply AdBlock rules to a web page.

page
  reference to the web page (HelpWebPage)

Up